> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create employee agreement

> Assign employee to agreement



## OpenAPI

````yaml POST /schedule/v1/agreement-employees
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/agreement-employees:
    post:
      tags:
        - Employee Agreements
      summary: Create employee agreement
      description: Assign employee to agreement
      operationId: CreateEmployeeAgreement
      parameters: []
      requestBody:
        description: Data to create an agreement
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                agreementId:
                  type: string
                  format: uuid
                  description: Agreement UUID
                employeeId:
                  type: string
                  format: uuid
                  description: Employee UUID
                startDate:
                  type: string
                  format: date
                  description: Start date
              required:
                - agreementId
                - employeeId
                - startDate
      responses:
        '200':
          description: Employee agreement created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````